import request from '@/utils/request'
import { getSession } from '@/utils/sessionStorage'

// 获取
export function getUserInfo(data) {
  return request({
    url: '/getUserInfo',
    method: 'post',
    data
  })
}


// 修改用户信息
export function updateUser(data) {
  return request({
    url: '/User/updateUser',
    method: 'post',
    data
  })
}

//获取自选列表
export function getProductUserList(data) {
  return request({
    url: '/getProductUserList',
    method: 'post',
    data
  })
}

//删除自选
export function deleteProductUser(data) {
  return request({
    url: '/deleteProductUser',
    method: 'post',
    data
  })
}

//添加自选
export function insertProductUser(data) {
  return request({
    url: '/insertProductUser',
    method: 'post',
    data
  })
}

//更新自选
export function updateProductUser(data) {
  return request({
    url: '/updateProductUser',
    method: 'post',
    data
  })
}

//添加收款账户
export function insertCollectionAccount(data) {
  return request({
    url: '/insertCollectionAccount',
    headers: {
      authorization: getSession('phoneToken')
    },
    method: 'post',
    data
  })
}

//获取收款账户
export function getCollectionAccountList(data) {
  return request({
    url: '/getCollectionAccountList',
    method: 'post',
    data
  })
}

//删除收款账户
export function deleteCollectionAccount(data) {
  return request({
    url: '/deleteCollectionAccount',
    method: 'post',
    data
  })
}

//用户消息通知列表
export function getMessageList(data) {
  return request({
    url: '/getMessageList',
    method: 'post',
    data
  })
}

export function deleteMessage(data) {
  return request({
    url: '/deleteMessage',
    method: 'post',
    data
  })
}

// 用户消息通知列表
export function readMessage(data) {
  return request({
    url: '/readMessage',
    method: 'post',
    data
  })
}

// 修改密码
export function updateLoginPassword(data) {
  return request({
    url: '/updateLoginPassword',
    method: 'post',
    type: '1',
    data
  })
}

// 获取绑定邮箱/手机  验证码
export function getUserVerifyCode(data) {
  return request({
    url: '/getUserVerifyCode',
    method: 'post',
    data
  })
}

// 更新 绑定邮箱/手机
export function updatePhoneEmail(data, type) {
  return request({
    url: '/updatePhoneEmail',
    method: 'post',
    type: type,
    data
  })
}

// 校验交易密码
export function setPasswordTransaction(data) {
  return request({
    url: '/setPasswordTransaction',
    method: 'post',
    data
  })
}

// 设置交易密码
export function updateTransactionPassword(data) {
  return request({
    url: '/updateTransactionPassword',
    method: 'post',
    data
  })
}

// 查询是否设置了交易密码
export function getPasswordTransaction(data) {
  return request({
    url: '/getPasswordTransaction',
    method: 'post',
    data
  })
}

// 修改用户名
export function updateNickName(data) {
  return request({
    url: '/updateNickName',
    method: 'post',
    data
  })
}

// 认证
export function realUser(data) {
  return request({
    url: '/realUser',
    method: 'post',
    data
  })
}

// 发送设置 交易 密码验证码
export function getUserPasswordVerifyCode(data) {
  return request({
    url: '/getUserPasswordVerifyCode',
    method: 'post',
    data
  })
}

// 发送前置验证码
export function getUserSecurityVerifyCode(data) {
  return request({
    url: '/getUserSecurityVerifyCode',
    method: 'post',
    data
  })
}
// 验证前置验证码
export function setUserSecurityVerifyCode(data) {
  return request({
    url: '/setUserSecurityVerifyCode',
    method: 'post',
    data
  })
}

// 冻结
export function frozenUser(data) {
  return request({
    url: '/frozenUser',
    method: 'post',
    data
  })
}

// 解冻
export function unFrozenUser(data) {
  return request({
    url: '/unFrozenUser',
    method: 'post',
    data
  })
}

// 获取语言
export function getLanguage() {
  return request({
    url: '/Public/getLanguageList',
    method: 'post',
  })
}

// 更改用户默认语言
export function updateUserLanguage(data) {
  return request({
    url: '/updateUserLanguage',
    method: 'post',
    data
  })
}

// 投诉建议
export function insertFeedback(data) {
  return request({
    url: '/Public/insertFeedback',
    method: 'post',
    data
  })
}

//删除账户
export function deleteUser() {
  return request({
    url: '/deleteUser',
    method: 'post'
  })
}

//驳回信息
export function getReviewCommentList(data) {
  return request({
    url: '/getReviewCommentList',
    method: 'post',
    data
  })
}

//
export function getAgent(data) {
  return request({
    url: '/Public/getAgent',
    login: 1,
    method: 'post',
    data
  })
}

//
export function insertAgent(data) {
  return request({
    url: '/Public/insertAgent',
    login: 1,
    method: 'post',
    data
  })
}

//
export function updateUserInfo(data) {
  return request({
    url: '/updateUserInfo',
    login: 1,
    method: 'post',
    data
  })
}

export function updateUserPriceRisk(data) {
  return request({
    url: '/updateUserPriceRisk',
    login: 1,
    method: 'post',
    data
  })
}

export function updateUserTradeProtocol(data) {
  return request({
    url: '/updateUserTradeProtocol',
    method: 'post',
    data
  })
}